<?php
/**
 * 管理员管理
 * $Id: account_list.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author zhanghuichuan
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

$order_key = ParamUtil::getRequestString("order_key", "registration_date");
$sort = ParamUtil::getRequestString("sort", "DESC");
$page_num = ParamUtil::getRequestNumber("page_num", 1);
$page_row = MANAGER_DEFAULT_ROW_COUNT;
$paging_url_link = "./account_list.php";

$account_list = [];
// 一览取得
$param = array();
$param["delete_flg"] = false;
//总件数
$account_count = AccountMst::getListCount($param);
// 获取相应页面的数据
if ($account_count > 0) {
  $offset = ($page_num - 1) * $page_row;
  $account_list = CompassHandler::getAccountlList($param, $order_key, $sort, $offset, $page_row);
  $page_count = ceil($account_count / $page_row);
  $show_page_num = MANAGER_PAGING_SHOW_PAGE_COUNT;
  $page_range = PagingHandler::getPageRange($page_num, $page_count, $show_page_num);
  $page_first = $page_range[0];
  $page_end = $page_range[1];
}

// ページ
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "account_list.inc";
$layout_pages["menu_clicked"] = "5-1";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;